@echo off
echo ..................................................................
echo 	Batch File to copy the Russian Language dlls 
echo ..................................................................

set CURRENT_PATH=%~dp0

set ProcessArchKey="HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Environment"
set value="PROCESSOR_ARCHITECTURE"
for /f "tokens=2* skip=1" %%a in ('reg query %ProcessArchKey% /v %value%') do (set PROCESSARCH=%%b)
echo %PROCESSARCH%

IF "%PROCESSARCH%"=="x86" GOTO X86
:X64
echo X64
set TrinityFrameworkKey="HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Honeywell\TrinityFramework"
set ServerKey="HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Honeywell\TrinityFramework\Server"
set DatabaseDetailsKey="HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Honeywell\TrinityFramework\DatabaseDetails"
GOTO SUCESS1
:X86
echo X86
set TrinityFrameworkKey="HKEY_LOCAL_MACHINE\SOFTWARE\Honeywell\TrinityFramework"
set ServerKey="HKEY_LOCAL_MACHINE\SOFTWARE\Honeywell\TrinityFramework\Server"
set DatabaseDetailsKey="HKEY_LOCAL_MACHINE\SOFTWARE\Honeywell\TrinityFramework\DatabaseDetails"
GOTO SUCESS1

:SUCESS1
set value="InstallPath"
for /f "tokens=2* skip=1" %%a in ('reg query %TrinityFrameworkKey% /v %value%') do (set INSTALLPATH=%%b)
echo %INSTALLPATH%

IF "%INSTALLPATH%"== "" GOTO END1
GOTO SUCESS2

:SUCESS2
md "%INSTALLPATH%\BackupFor_ru_Ru_BeforeApplyingR300SP2Build222"
wscript "%CURRENT_PATH%ETCopy.vbs" "%INSTALLPATH%\Languages\ru-RU" "%INSTALLPATH%\BackupFor_ru_Ru_BeforeApplyingR300SP2Build222" /R /COPY
echo taken backup

rmdir "%INSTALLPATH%\Languages\ru-RU" /s /q
rmdir "%INSTALLPATH%\ru-RU" /s /q

wscript "%CURRENT_PATH%ETCopy.vbs" "%CURRENT_PATH%ru-RU" "%INSTALLPATH%\Languages\ru-RU" /R /COPY
wscript "%CURRENT_PATH%ETCopy.vbs" "%CURRENT_PATH%ru-RU" "%INSTALLPATH%\ru-RU" /R /COPY

echo copied new dlls
set value="InstallDir"

for /f "tokens=2* skip=1" %%a in ('reg query %ServerKey% /v %value%') do (set SERVERINSTALLPATH=%%b)

echo %SERVERINSTALLPATH%
IF "%SERVERINSTALLPATH%"== "" GOTO END1
echo "%INSTALLPATH%\LocalisedDBUpdate.exe"
"%CURRENT_PATH%LocalizeDBUpdateLauncher.exe"

set value="PCNAME"
for /f "tokens=2* skip=1" %%a in ('reg query %DatabaseDetailsKey% /v %value%') do (set PCNAME1=%%b)
echo %PCNAME1%
IF "%PCNAME1%"== "" GOTO END1

set value="INSTANCENAME"
for /f "tokens=2* skip=1" %%a in ('reg query %DatabaseDetailsKey% /v %value%') do (set INSTANCENAME1=%%b)
echo %INSTANCENAME1%
IF "%INSTANCENAME1%"== "" GOTO END1

IF "%INSTANCENAME1%"== "MSSQLSERVER" GOTO DEFAULTINSTANCE
GOTO NAMEDINSTANCE

:DEFAULTINSTANCE
echo sqlcmd -E -S"%PCNAME1%" -d"master" -i"%CURRENT_PATH%PostInstallation.sql" -o"%TEMP%\PostInstallation.sql.txt"
sqlcmd -E -S"%PCNAME1%" -d"master" -i"%CURRENT_PATH%PostInstallation.sql" -o"%TEMP%\PostInstallation.sql.txt"

:NAMEDINSTANCE
echo sqlcmd -E -S"%PCNAME1%\%INSTANCENAME1%" -d"master" -i"%CURRENT_PATH%PostInstallation.sql" -o"%TEMP%\PostInstallation.sql.txt"
sqlcmd -E -S"%PCNAME1%\%INSTANCENAME1%" -d"master" -i"%CURRENT_PATH%PostInstallation.sql" -o"%TEMP%\PostInstallation.sql.txt"


GOTO END1
:END1




